{% set versions = ['6.0', '6.2', '7.0', '7.2'] %}

include:
{% for version in versions %}
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: "{{version}}"
      suffix: "{{version}}"
      dir: ./{{version}}
{% endfor %}

stages:
- docker-build
- docker-deploy
